Subject: Re: bug#1000: C-i is TAB on my Mac

From: [email-masked]
Date: Thu, 22 Jan 2009 05:26:22 +0000

Quoting Adrian Robert <[email-masked]>:

> I could use some more background here.  Hitting C-h k C-i says the
> key was "TAB", whereas actually hitting C-h k tab says the key was
> "TAB (translated from <tab>)".  Is the definition of tab Ctrl-i and
> then some fancy keyboards later added a Tab key?  What does emacs do
> under X or w32?  What behavior is expected?

The definition of C-i is the ASCII control character with a code of 9 (TAB).

w32 also reports simply TAB for C-h k C-i, and TAB (translated from <tab>) for
the tab key. So this is not a Mac specific thing.

While I can see the connection between C-i and ASCII TAB, it does seem
inconsistent, as other control keys are not reported as their ASCII meaning
like this.